<?xml version="1.0" encoding="UTF-8"?>
<con:testSuite id="90283629-03a3-4da2-add2-cd924a8dc9aa" name="idp_connection_library" disabled="true" xmlns:con="http://eviware.com/soapui/config"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="42312843-d6a5-4f7d-998c-87b8eab9cb37" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="HP authentication and XUA" searchProperties="true"><con:settings/><con:testStep type="groovy" name="Groovy Script" id="8690c269-0c04-4927-b84c-9c05579ca1a3"><con:settings/><con:config><script>			def project = testRunner.testCase.testSuite.project
            def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )


            // =================== Generate Unique_Number ===================

            def now = new Date()
            def Unique_Number = now.format("yyyyMMddHHmmssSSS", TimeZone.getTimeZone('UTC'))
            testRunner.testCase.setPropertyValue("Unique_Number", Unique_Number)

            
            // =================== Generate timeStamp ===================
            
            def timeStamp= now.format("yyyy-MM-dd'T'HH:mm:ss.SSS'Z'", TimeZone.getTimeZone('UTC'))
            testRunner.testCase.setPropertyValue("timeStamp", timeStamp)</script></con:config></con:testStep><con:testStep type="request" name="IDP_authentication" id="e7878834-078e-4fe4-afd6-26382f694c03"><con:settings/><con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>STSBinding</con:interface><con:operation>Issue</con:operation><con:request name="IDP_authentication" id="c3009509-c3ca-4668-8366-effa1e51ae16"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Content-Type" value="text/xml" xmlns="http://eviware.com/soapui/config"/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#TestSuite#endPointIDP}</con:endpoint><con:request><![CDATA[<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/" xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol">
   <S:Body>
      <samlp:AuthnRequest AssertionConsumerServiceURL="https://sp-clone.ihe-europe.net/Shibboleth.sso/SAML2/ECP" ID="_${#TestCase#Unique_Number}" IssueInstant="${#TestCase#timeStamp}" ProtocolBinding="urn:oasis:names:tc:SAML:2.0:bindings:PAOS" Version="2.0">
         <saml:Issuer xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion">https://sp-clone.ihe-europe.net/shibboleth</saml:Issuer>
         <samlp:NameIDPolicy AllowCreate="1"/>
         <samlp:Scoping>
            <samlp:IDPList>
               <samlp:IDPEntry ProviderID="https://ehealthsuisse.ihe-europe.net/idp/shibboleth"/>
            </samlp:IDPList>
         </samlp:Scoping>
      </samlp:AuthnRequest>
   </S:Body>
</S:Envelope>]]></con:request><con:assertion type="SOAP Fault Assertion" id="6ce1ba90-b70e-4678-a65e-b6b887e82e18" name="Not SOAP Fault"/><con:assertion type="Simple Contains" id="316971d0-60c7-41e1-956f-b445d5d741d3" name="Contains"><con:configuration><token>Assertion</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:username>${#TestCase#user}</con:username><con:password>azerty</con:password><con:selectedAuthProfile>Basic</con:selectedAuthProfile><con:addedBasicAuthenticationTypes>Basic</con:addedBasicAuthenticationTypes><con:preemptive>true</con:preemptive><con:authType>Preemptive</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig mustUnderstand="NONE" version="200508"/><con:wsrmConfig version="1.2"/></con:request></con:config></con:testStep><con:testStep type="groovy" name="get_assertion" id="1362bab1-cb5d-414a-b197-8be75f01f7f8"><con:settings/><con:config><script>def project = testRunner.testCase.testSuite.project
def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )

// =================== GetDocumentID ===================

// New variable, which take the response of the request
def listOfResponse = groovyUtils.getXmlHolder( "IDP_authentication#Response" )
listOfResponse.declareNamespace("saml2p", "urn:oasis:names:tc:SAML:2.0:protocol")
listOfResponse.declareNamespace("saml2", "urn:oasis:names:tc:SAML:2.0:assertion")

def assertion = listOfResponse.getDomNode("//saml2p:Response/saml2:Assertion");
assertion = assertion.toString().replace('&lt;?xml version="1.0" encoding="UTF-8"?>', '')
testRunner.testCase.testSuite.project.setPropertyValue("assertion", assertion)</script></con:config></con:testStep><con:properties><con:property><con:name>Unique_Number</con:name><con:value>20190312093526847</con:value></con:property><con:property><con:name>timeStamp</con:name><con:value>2019-03-12T09:35:26.847Z</con:value></con:property><con:property><con:name>user</con:name><con:value>aandrews</con:value></con:property><con:property><con:name>password</con:name><con:value>azerty</con:value></con:property></con:properties></con:testCase><con:testCase id="e58c830a-57af-4021-ae45-df3465359419" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="Patient authentication and XUA" searchProperties="true"><con:settings/><con:testStep type="groovy" name="Groovy Script" id="262f8f50-f75a-456c-a9d8-280fac9ab70f"><con:settings/><con:config><script>

		  def project = testRunner.testCase.testSuite.project
            def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )


            // =================== Generate Unique_Number ===================

            def now = new Date()
            def Unique_Number = now.format("yyyyMMddHHmmssSSS", TimeZone.getTimeZone('UTC'))
            testRunner.testCase.setPropertyValue("Unique_Number", Unique_Number)

            
            // =================== Generate timeStamp ===================
            
            def timeStamp= now.format("yyyy-MM-dd'T'HH:mm:ss.SSS'Z'", TimeZone.getTimeZone('UTC'))
            testRunner.testCase.setPropertyValue("timeStamp", timeStamp)

</script></con:config></con:testStep><con:testStep type="request" name="IDP_authentication" id="ec1e561e-4cdb-4508-aca0-5d578a1d095b"><con:settings/><con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>STSBinding</con:interface><con:operation>Issue</con:operation><con:request name="IDP_authentication" id="c3009509-c3ca-4668-8366-effa1e51ae16"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Content-Type" value="text/xml" xmlns="http://eviware.com/soapui/config"/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#TestSuite#endPointIDP}</con:endpoint><con:request><![CDATA[<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/" xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol">
   <S:Body>
      <samlp:AuthnRequest AssertionConsumerServiceURL="https://sp-clone.ihe-europe.net/Shibboleth.sso/SAML2/ECP" ID="_${#TestCase#Unique_Number}" IssueInstant="${#TestCase#timeStamp}" ProtocolBinding="urn:oasis:names:tc:SAML:2.0:bindings:PAOS" Version="2.0">
         <saml:Issuer xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion">https://sp-clone.ihe-europe.net/shibboleth</saml:Issuer>
         <samlp:NameIDPolicy AllowCreate="1"/>
         <samlp:Scoping>
            <samlp:IDPList>
               <samlp:IDPEntry ProviderID="https://ehealthsuisse.ihe-europe.net/idp/shibboleth"/>
            </samlp:IDPList>
         </samlp:Scoping>
      </samlp:AuthnRequest>
   </S:Body>
</S:Envelope>]]></con:request><con:assertion type="SOAP Fault Assertion" id="6ce1ba90-b70e-4678-a65e-b6b887e82e18" name="Not SOAP Fault"/><con:assertion type="Simple Contains" id="316971d0-60c7-41e1-956f-b445d5d741d3" name="Contains"><con:configuration><token>Assertion</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:username>${#TestCase#user}</con:username><con:password>azerty</con:password><con:selectedAuthProfile>Basic</con:selectedAuthProfile><con:addedBasicAuthenticationTypes>Basic</con:addedBasicAuthenticationTypes><con:preemptive>true</con:preemptive><con:authType>Preemptive</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig mustUnderstand="NONE" version="200508"/><con:wsrmConfig version="1.2"/></con:request></con:config></con:testStep><con:testStep type="groovy" name="get_assertion" id="8e73a4e5-546d-495a-8b63-fc1fcb14dd46"><con:settings/><con:config><script>def project = testRunner.testCase.testSuite.project
def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )

// =================== GetDocumentID ===================

// New variable, which take the response of the request
def listOfResponse = groovyUtils.getXmlHolder( "IDP_authentication#Response" )
listOfResponse.declareNamespace("saml2p", "urn:oasis:names:tc:SAML:2.0:protocol")
listOfResponse.declareNamespace("saml2", "urn:oasis:names:tc:SAML:2.0:assertion")



def assertion = listOfResponse.getDomNode("//saml2p:Response/saml2:Assertion");
assertion = assertion.toString().replace('&lt;?xml version="1.0" encoding="UTF-8"?>', '')
testRunner.testCase.testSuite.project.setPropertyValue("assertion", assertion)</script></con:config></con:testStep><con:properties><con:property><con:name>Unique_Number</con:name><con:value>20190312093527002</con:value></con:property><con:property><con:name>timeStamp</con:name><con:value>2019-03-12T09:35:27.002Z</con:value></con:property><con:property><con:name>user</con:name><con:value>bovie</con:value></con:property><con:property><con:name>password</con:name><con:value>azerty</con:value></con:property></con:properties></con:testCase><con:testCase id="f45517d9-303e-4e5b-bef8-9cd4c3f95ddd" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="Assitant authentication and XUA" searchProperties="true"><con:settings/><con:testStep type="groovy" name="Groovy Script" id="ea4cabc2-a1ea-4630-8c46-0db786fdabf3"><con:settings/><con:config><script>

		  def project = testRunner.testCase.testSuite.project
            def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )


            // =================== Generate Unique_Number ===================

            def now = new Date()
            def Unique_Number = now.format("yyyyMMddHHmmssSSS", TimeZone.getTimeZone('UTC'))
            testRunner.testCase.setPropertyValue("Unique_Number", Unique_Number)

            
            // =================== Generate timeStamp ===================
            
            def timeStamp= now.format("yyyy-MM-dd'T'HH:mm:ss.SSS'Z'", TimeZone.getTimeZone('UTC'))
            testRunner.testCase.setPropertyValue("timeStamp", timeStamp)

</script></con:config></con:testStep><con:testStep type="request" name="IDP_authentication" id="7e0eddd7-5aa6-4f3b-baa7-4cff678d7c87"><con:settings/><con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>STSBinding</con:interface><con:operation>Issue</con:operation><con:request name="IDP_authentication" id="c3009509-c3ca-4668-8366-effa1e51ae16"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Content-Type" value="text/xml" xmlns="http://eviware.com/soapui/config"/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#TestSuite#endPointIDP}</con:endpoint><con:request><![CDATA[<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/" xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol">
	<S:Body>
		<samlp:AuthnRequest xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol" AssertionConsumerServiceURL="https://sp-clone.ihe-europe.net/Shibboleth.sso/SAML2/ECP" ID="_${#TestCase#Unique_Number}" IssueInstant="${#TestCase#timeStamp}" ProtocolBinding="urn:oasis:names:tc:SAML:2.0:bindings:PAOS" Version="2.0">
			<saml:Issuer xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion">https://sp-clone.ihe-europe.net/shibboleth</saml:Issuer>
			<samlp:NameIDPolicy AllowCreate="1"/>
			<samlp:Scoping>
				<samlp:IDPList>
					<samlp:IDPEntry ProviderID="https://ehealthsuisse.ihe-europe.net/idp/shibboleth"/>
				</samlp:IDPList>
			</samlp:Scoping>
		</samlp:AuthnRequest>
	</S:Body>
</S:Envelope>]]></con:request><con:assertion type="SOAP Fault Assertion" id="6ce1ba90-b70e-4678-a65e-b6b887e82e18" name="Not SOAP Fault"/><con:assertion type="Simple Contains" id="316971d0-60c7-41e1-956f-b445d5d741d3" name="Contains"><con:configuration><token>Assertion</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:username>${#TestCase#user}</con:username><con:password>azerty</con:password><con:selectedAuthProfile>Basic</con:selectedAuthProfile><con:addedBasicAuthenticationTypes>Basic</con:addedBasicAuthenticationTypes><con:preemptive>true</con:preemptive><con:authType>Preemptive</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig mustUnderstand="NONE" version="200508"/><con:wsrmConfig version="1.2"/></con:request></con:config></con:testStep><con:testStep type="groovy" name="get_assertion" id="6c48d5e9-9f1b-44a7-889d-80486aef35c8"><con:settings/><con:config><script>def project = testRunner.testCase.testSuite.project
def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )

// =================== GetDocumentID ===================

// New variable, which take the response of the request
def listOfResponse = groovyUtils.getXmlHolder( "IDP_authentication#Response" )
listOfResponse.declareNamespace("saml2p", "urn:oasis:names:tc:SAML:2.0:protocol")
listOfResponse.declareNamespace("saml2", "urn:oasis:names:tc:SAML:2.0:assertion")



def assertion = listOfResponse.getDomNode("//saml2p:Response/saml2:Assertion");
assertion = assertion.toString().replace('&lt;?xml version="1.0" encoding="UTF-8"?>', '')
testRunner.testCase.testSuite.project.setPropertyValue("assertion", assertion)

</script></con:config></con:testStep><con:properties><con:property><con:name>Unique_Number</con:name><con:value>20190312093527109</con:value></con:property><con:property><con:name>timeStamp</con:name><con:value>2019-03-12T09:35:27.109Z</con:value></con:property><con:property><con:name>user</con:name><con:value>ltieche</con:value></con:property><con:property><con:name>password</con:name><con:value>azerty</con:value></con:property></con:properties></con:testCase><con:testCase id="9451dfdf-5972-45c2-b780-a3c366f3489b" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="Technical User authentication and XUA" searchProperties="true"><con:settings/><con:testStep type="groovy" name="Groovy Script" id="e09bebac-a43f-4dc8-bc31-9638930a7b98"><con:settings/><con:config><script>

		  def project = testRunner.testCase.testSuite.project
            def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )


            // =================== Generate Unique_Number ===================

            def now = new Date()
            def Unique_Number = now.format("yyyyMMddHHmmssSSS", TimeZone.getTimeZone('UTC'))
            testRunner.testCase.setPropertyValue("Unique_Number", Unique_Number)

            
            // =================== Generate timeStamp ===================
            
            def timeStamp= now.format("yyyy-MM-dd'T'HH:mm:ss.SSS'Z'", TimeZone.getTimeZone('UTC'))
            testRunner.testCase.setPropertyValue("timeStamp", timeStamp)

</script></con:config></con:testStep><con:testStep type="request" name="IDP_authentication" id="31d97b6c-0770-4b2f-9c66-98bfed000941"><con:settings/><con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>STSBinding</con:interface><con:operation>Issue</con:operation><con:request name="IDP_authentication" id="c3009509-c3ca-4668-8366-effa1e51ae16"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Content-Type" value="text/xml" xmlns="http://eviware.com/soapui/config"/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#TestSuite#endPointIDP}</con:endpoint><con:request><![CDATA[<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/" xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol">
	<S:Body>
		<samlp:AuthnRequest xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol" AssertionConsumerServiceURL="https://sp-clone.ihe-europe.net/Shibboleth.sso/SAML2/ECP" ID="_${#TestCase#Unique_Number}" IssueInstant="${#TestCase#timeStamp}" ProtocolBinding="urn:oasis:names:tc:SAML:2.0:bindings:PAOS" Version="2.0">
			<saml:Issuer xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion">https://sp-clone.ihe-europe.net/shibboleth</saml:Issuer>
			<samlp:NameIDPolicy AllowCreate="1"/>
			<samlp:Scoping>
				<samlp:IDPList>
					<samlp:IDPEntry ProviderID="https://ehealthsuisse.ihe-europe.net/idp/shibboleth"/>
				</samlp:IDPList>
			</samlp:Scoping>
		</samlp:AuthnRequest>
	</S:Body>
</S:Envelope>]]></con:request><con:assertion type="SOAP Fault Assertion" id="6ce1ba90-b70e-4678-a65e-b6b887e82e18" name="Not SOAP Fault"/><con:assertion type="Simple Contains" id="316971d0-60c7-41e1-956f-b445d5d741d3" name="Contains"><con:configuration><token>Assertion</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:username>${#TestCase#user}</con:username><con:password>azerty</con:password><con:selectedAuthProfile>Basic</con:selectedAuthProfile><con:addedBasicAuthenticationTypes>Basic</con:addedBasicAuthenticationTypes><con:preemptive>true</con:preemptive><con:authType>Preemptive</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig mustUnderstand="NONE" version="200508"/><con:wsrmConfig version="1.2"/></con:request></con:config></con:testStep><con:testStep type="groovy" name="get_assertion" id="66d115e5-06aa-43f5-bf56-2ac2f303ebdd"><con:settings/><con:config><script>def project = testRunner.testCase.testSuite.project
def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )

// =================== GetDocumentID ===================

// New variable, which take the response of the request
def listOfResponse = groovyUtils.getXmlHolder( "IDP_authentication#Response" )
listOfResponse.declareNamespace("saml2p", "urn:oasis:names:tc:SAML:2.0:protocol")
listOfResponse.declareNamespace("saml2", "urn:oasis:names:tc:SAML:2.0:assertion")



def assertion = listOfResponse.getDomNode("//saml2p:Response/saml2:Assertion");
assertion = assertion.toString().replace('&lt;?xml version="1.0" encoding="UTF-8"?>', '')
testRunner.testCase.testSuite.project.setPropertyValue("assertion", assertion)

</script></con:config></con:testStep><con:properties><con:property><con:name>Unique_Number</con:name><con:value>20190312093527192</con:value></con:property><con:property><con:name>timeStamp</con:name><con:value>2019-03-12T09:35:27.192Z</con:value></con:property><con:property><con:name>user</con:name><con:value>sbaader</con:value></con:property><con:property><con:name>password</con:name><con:value>azerty</con:value></con:property></con:properties></con:testCase><con:testCase id="e0c30b2c-4688-415c-9b5f-81a48fcc2175" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="PADM authentication and XUA" searchProperties="true"><con:settings/><con:testStep type="groovy" name="Groovy Script" id="753fa198-bf47-417c-ae60-258f17fc5dfb"><con:settings/><con:config><script>

		  def project = testRunner.testCase.testSuite.project
            def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )


            // =================== Generate Unique_Number ===================

            def now = new Date()
            def Unique_Number = now.format("yyyyMMddHHmmssSSS", TimeZone.getTimeZone('UTC'))
            testRunner.testCase.setPropertyValue("Unique_Number", Unique_Number)

            
            // =================== Generate timeStamp ===================
            
            def timeStamp= now.format("yyyy-MM-dd'T'HH:mm:ss.SSS'Z'", TimeZone.getTimeZone('UTC'))
            testRunner.testCase.setPropertyValue("timeStamp", timeStamp)

</script></con:config></con:testStep><con:testStep type="request" name="IDP_authentication" id="a52978d9-d26b-4c9b-a0ee-98055d7e78a0"><con:settings/><con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>STSBinding</con:interface><con:operation>Issue</con:operation><con:request name="IDP_authentication" id="c3009509-c3ca-4668-8366-effa1e51ae16"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Content-Type" value="text/xml" xmlns="http://eviware.com/soapui/config"/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#TestSuite#endPointIDP}</con:endpoint><con:request><![CDATA[<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/" xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol">
	<S:Body>
		<samlp:AuthnRequest xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol" AssertionConsumerServiceURL="https://sp-clone.ihe-europe.net/Shibboleth.sso/SAML2/ECP" ID="_${#TestCase#Unique_Number}" IssueInstant="${#TestCase#timeStamp}" ProtocolBinding="urn:oasis:names:tc:SAML:2.0:bindings:PAOS" Version="2.0">
			<saml:Issuer xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion">https://sp-clone.ihe-europe.net/shibboleth</saml:Issuer>
			<samlp:NameIDPolicy AllowCreate="1"/>
			<samlp:Scoping>
				<samlp:IDPList>
					<samlp:IDPEntry ProviderID="https://ehealthsuisse.ihe-europe.net/idp/shibboleth"/>
				</samlp:IDPList>
			</samlp:Scoping>
		</samlp:AuthnRequest>
	</S:Body>
</S:Envelope>]]></con:request><con:assertion type="SOAP Fault Assertion" id="6ce1ba90-b70e-4678-a65e-b6b887e82e18" name="Not SOAP Fault"/><con:assertion type="Simple Contains" id="316971d0-60c7-41e1-956f-b445d5d741d3" name="Contains"><con:configuration><token>Assertion</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:username>${#TestCase#user}</con:username><con:password>azerty</con:password><con:selectedAuthProfile>Basic</con:selectedAuthProfile><con:addedBasicAuthenticationTypes>Basic</con:addedBasicAuthenticationTypes><con:preemptive>true</con:preemptive><con:authType>Preemptive</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig mustUnderstand="NONE" version="200508"/><con:wsrmConfig version="1.2"/></con:request></con:config></con:testStep><con:testStep type="groovy" name="get_assertion" id="f6a42cd0-240d-4b78-8ddf-bfcac95917b8"><con:settings/><con:config><script>def project = testRunner.testCase.testSuite.project
def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )

// =================== GetDocumentID ===================

// New variable, which take the response of the request
def listOfResponse = groovyUtils.getXmlHolder( "IDP_authentication#Response" )
listOfResponse.declareNamespace("saml2p", "urn:oasis:names:tc:SAML:2.0:protocol")
listOfResponse.declareNamespace("saml2", "urn:oasis:names:tc:SAML:2.0:assertion")



def assertion = listOfResponse.getDomNode("//saml2p:Response/saml2:Assertion");
assertion = assertion.toString().replace('&lt;?xml version="1.0" encoding="UTF-8"?>', '')
testRunner.testCase.testSuite.project.setPropertyValue("assertion", assertion)

</script></con:config></con:testStep><con:properties><con:property><con:name>Unique_Number</con:name><con:value>20190312093527275</con:value></con:property><con:property><con:name>timeStamp</con:name><con:value>2019-03-12T09:35:27.275Z</con:value></con:property><con:property><con:name>user</con:name><con:value>icastineira</con:value></con:property><con:property><con:name>password</con:name><con:value>azerty</con:value></con:property></con:properties></con:testCase><con:testCase id="c5370e9f-7f87-4a47-8eb1-00a47cb6609f" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="DADM authentication and XUA" searchProperties="true"><con:settings/><con:testStep type="groovy" name="Groovy Script" id="2bea3c17-11d0-4e65-ab78-58bfaab78a46"><con:settings/><con:config><script>

		  def project = testRunner.testCase.testSuite.project
            def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )


            // =================== Generate Unique_Number ===================

            def now = new Date()
            def Unique_Number = now.format("yyyyMMddHHmmssSSS", TimeZone.getTimeZone('UTC'))
            testRunner.testCase.setPropertyValue("Unique_Number", Unique_Number)

            
            // =================== Generate timeStamp ===================
            
            def timeStamp= now.format("yyyy-MM-dd'T'HH:mm:ss.SSS'Z'", TimeZone.getTimeZone('UTC'))
            testRunner.testCase.setPropertyValue("timeStamp", timeStamp)

</script></con:config></con:testStep><con:testStep type="request" name="IDP_authentication" id="23ea1a23-ce4a-4fb1-b311-bb894d382ca3"><con:settings/><con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>STSBinding</con:interface><con:operation>Issue</con:operation><con:request name="IDP_authentication" id="c3009509-c3ca-4668-8366-effa1e51ae16"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Content-Type" value="text/xml" xmlns="http://eviware.com/soapui/config"/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#TestSuite#endPointIDP}</con:endpoint><con:request><![CDATA[<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/" xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol">
	<S:Body>
		<samlp:AuthnRequest xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol" AssertionConsumerServiceURL="https://sp-clone.ihe-europe.net/Shibboleth.sso/SAML2/ECP" ID="_${#TestCase#Unique_Number}" IssueInstant="${#TestCase#timeStamp}" ProtocolBinding="urn:oasis:names:tc:SAML:2.0:bindings:PAOS" Version="2.0">
			<saml:Issuer xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion">https://sp-clone.ihe-europe.net/shibboleth</saml:Issuer>
			<samlp:NameIDPolicy AllowCreate="1"/>
			<samlp:Scoping>
				<samlp:IDPList>
					<samlp:IDPEntry ProviderID="https://ehealthsuisse.ihe-europe.net/idp/shibboleth"/>
				</samlp:IDPList>
			</samlp:Scoping>
		</samlp:AuthnRequest>
	</S:Body>
</S:Envelope>]]></con:request><con:assertion type="SOAP Fault Assertion" id="6ce1ba90-b70e-4678-a65e-b6b887e82e18" name="Not SOAP Fault"/><con:assertion type="Simple Contains" id="316971d0-60c7-41e1-956f-b445d5d741d3" name="Contains"><con:configuration><token>Assertion</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:username>${#TestCase#user}</con:username><con:password>azerty</con:password><con:selectedAuthProfile>Basic</con:selectedAuthProfile><con:addedBasicAuthenticationTypes>Basic</con:addedBasicAuthenticationTypes><con:preemptive>true</con:preemptive><con:authType>Preemptive</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig mustUnderstand="NONE" version="200508"/><con:wsrmConfig version="1.2"/></con:request></con:config></con:testStep><con:testStep type="groovy" name="get_assertion" id="5d732017-7b06-44c7-8bc2-43b6ae297fc8"><con:settings/><con:config><script>def project = testRunner.testCase.testSuite.project
def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )

// =================== GetDocumentID ===================

// New variable, which take the response of the request
def listOfResponse = groovyUtils.getXmlHolder( "IDP_authentication#Response" )
listOfResponse.declareNamespace("saml2p", "urn:oasis:names:tc:SAML:2.0:protocol")
listOfResponse.declareNamespace("saml2", "urn:oasis:names:tc:SAML:2.0:assertion")



def assertion = listOfResponse.getDomNode("//saml2p:Response/saml2:Assertion");
assertion = assertion.toString().replace('&lt;?xml version="1.0" encoding="UTF-8"?>', '')
testRunner.testCase.testSuite.project.setPropertyValue("assertion", assertion)

</script></con:config></con:testStep><con:properties><con:property><con:name>Unique_Number</con:name><con:value>20190312093527390</con:value></con:property><con:property><con:name>timeStamp</con:name><con:value>2019-03-12T09:35:27.390Z</con:value></con:property><con:property><con:name>user</con:name><con:value>kweisskopf</con:value></con:property><con:property><con:name>password</con:name><con:value>azerty</con:value></con:property></con:properties></con:testCase><con:testCase id="82ce68fa-05e6-455a-87f5-d8263ebdc647" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="Representative authentication and XUA" searchProperties="true"><con:settings/><con:testStep type="groovy" name="Groovy Script" id="7073d938-0e79-4682-8fac-e01240dbfde6"><con:settings/><con:config><script>def project = testRunner.testCase.testSuite.project
def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )

// =================== Generate Unique_Number ===================
def now = new Date()
def Unique_Number = now.format("yyyyMMddHHmmssSSS", TimeZone.getTimeZone('UTC'))
testRunner.testCase.setPropertyValue("Unique_Number", Unique_Number)

// =================== Generate timeStamp ===================            
def timeStamp= now.format("yyyy-MM-dd'T'HH:mm:ss.SSS'Z'", TimeZone.getTimeZone('UTC'))
testRunner.testCase.setPropertyValue("timeStamp", timeStamp)


</script></con:config></con:testStep><con:testStep type="request" name="IDP_authentication" id="7c29c7c0-ac6f-463b-b389-0eb7dbd7b039"><con:settings/><con:config xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>STSBinding</con:interface><con:operation>Issue</con:operation><con:request name="IDP_authentication" id="c3009509-c3ca-4668-8366-effa1e51ae16"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Content-Type" value="text/xml" xmlns="http://eviware.com/soapui/config"/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#TestSuite#endPointIDP}</con:endpoint><con:request><![CDATA[<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/" xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol">
	<S:Body>
		<samlp:AuthnRequest xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol" AssertionConsumerServiceURL="https://sp-clone.ihe-europe.net/Shibboleth.sso/SAML2/ECP" ID="_${#TestCase#Unique_Number}" IssueInstant="${#TestCase#timeStamp}" ProtocolBinding="urn:oasis:names:tc:SAML:2.0:bindings:PAOS" Version="2.0">
			<saml:Issuer xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion">https://sp-clone.ihe-europe.net/shibboleth</saml:Issuer>
			<samlp:NameIDPolicy AllowCreate="1"/>
			<samlp:Scoping>
				<samlp:IDPList>
					<samlp:IDPEntry ProviderID="https://ehealthsuisse.ihe-europe.net/idp/shibboleth"/>
				</samlp:IDPList>
			</samlp:Scoping>
		</samlp:AuthnRequest>
	</S:Body>
</S:Envelope>]]></con:request><con:assertion type="SOAP Fault Assertion" id="6ce1ba90-b70e-4678-a65e-b6b887e82e18" name="Not SOAP Fault"/><con:assertion type="Simple Contains" id="316971d0-60c7-41e1-956f-b445d5d741d3" name="Contains"><con:configuration><token>Assertion</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:username>${#TestCase#user}</con:username><con:password>azerty</con:password><con:selectedAuthProfile>Basic</con:selectedAuthProfile><con:addedBasicAuthenticationTypes>Basic</con:addedBasicAuthenticationTypes><con:preemptive>true</con:preemptive><con:authType>Preemptive</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig mustUnderstand="NONE" version="200508"/><con:wsrmConfig version="1.2"/></con:request></con:config></con:testStep><con:testStep type="groovy" name="get_assertion" id="d451f592-7491-4c9b-a41b-466f55ac5934"><con:settings/><con:config><script>def project = testRunner.testCase.testSuite.project
def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )

// =================== GetDocumentID ===================

// New variable, which take the response of the request
def listOfResponse = groovyUtils.getXmlHolder( "IDP_authentication#Response" )
listOfResponse.declareNamespace("saml2p", "urn:oasis:names:tc:SAML:2.0:protocol")
listOfResponse.declareNamespace("saml2", "urn:oasis:names:tc:SAML:2.0:assertion")



def assertion = listOfResponse.getDomNode("//saml2p:Response/saml2:Assertion");
assertion = assertion.toString().replace('&lt;?xml version="1.0" encoding="UTF-8"?>', '')
testRunner.testCase.testSuite.project.setPropertyValue("assertion", assertion)

</script></con:config></con:testStep><con:properties><con:property><con:name>Unique_Number</con:name><con:value>20190312093527484</con:value></con:property><con:property><con:name>timeStamp</con:name><con:value>2019-03-12T09:35:27.484Z</con:value></con:property><con:property><con:name>user</con:name><con:value>aamrein</con:value></con:property><con:property><con:name>password</con:name><con:value>azerty</con:value></con:property></con:properties></con:testCase><con:testCase id="636ca348-ef21-4843-8148-b2ca902ba1c8" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="GROOVY_SCRIPT" searchProperties="true" disabled="true"><con:settings/><con:testStep type="groovy" name="Groovy Script" id="d426928e-17cd-4ad3-b67c-a0af5aad62b1"><con:settings/><con:config><script>/*
===================================================================================
Add this script in the first step of your TestSuite project, 
he allows to retrieve an Assertion according to the user role played in the test 
===================================================================================
*/

def project = testRunner.testCase.testSuite.project
def groovyUtils = new com.eviware.soapui.support.GroovyUtils( context )

def testCaseRole = "";
def getRole = testRunner.testCase.testSuite.getPropertyValue('role')

if (getRole.equals("HCP")){
	testCaseRole = "HP authentication and XUA"
}else if (getRole.equals("PAT")){
	testCaseRole = "Patient authentication and XUA"
}else if (getRole.equals("ASS")){
	testCaseRole = "Assitant authentication and XUA"
}else if (getRole.equals("TCU")){
	testCaseRole = "Technical User authentication and XUA"
}else if (getRole.equals("PADM")){
	testCaseRole = "PADM authentication and XUA"
}else if (getRole.equals("DADM")){
	testCaseRole = "DADM authentication and XUA"
}else if (getRole.equals("REP")){
	testCaseRole = "Representative authentication and XUA"
}else{
	testCaseRole = testCaseRole;
}

def runner = project.testSuites['idp_connection_library'].testCases[testCaseRole].run( null, true)
</script></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>endpointIDP</con:name><con:value>https://ehealthsuisse.ihe-europe.net/idp/profile/SAML2/SOAP/ECP</con:value></con:property><con:property><con:name>endpointSTS</con:name><con:value>https://ehealthsuisse.ihe-europe.net:10443/STS</con:value></con:property></con:properties></con:testSuite>